[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#493938: ca-certificates needs mktemp without depending on it.

Philipp Kern <pkern@debian.org> writes:

> The problem:  Machines upgraded from Sarge to Etch won't get mktemp
> pulled in, because nothing depends on essential packages.  They won't
> receive it later on, again out of the same reason.  They are only pulled
> into new installations, by (c)debootstrap, due to their priority and
> their essential status.
> So some meta package needs to depend on those newly introduced essential
> packages for one release (as we don't support skipping one anyway).

I wonder if it would make sense for base-files to pre-depend on new
essential packages.  It already pre-depends on awk to pull it into
essential, and this seems like a related problem.

Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>

Reply to: